Package org.gitana.platform.client.transfer

# Class TransferImportJob

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.cluster.AbstractClusterDocumentImpl
org.gitana.platform.client.job.JobImpl
org.gitana.platform.client.transfer.TransferImportJob

All Implemented Interfaces:
  `Serializable`, `ClusterDocument`, `Document`, `Job`, `Referenceable`, `TitleDescription`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class TransferImportJob extends JobImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ARCHIVE_ARTIFACT`
`static final String`
`FIELD_ARCHIVE_GROUP`
`static final String`
`FIELD_ARCHIVE_VERSION`
`static final String`
`FIELD_CONFIGURATION`
`static final String`
`FIELD_IMPORTS`
`static final String`
`FIELD_TARGETS`
`static final String`
`FIELD_VAULT_ID`

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.job.Job

`FIELD_ATTEMPTS, FIELD_CURRENT_SERVER, FIELD_CURRENT_SERVER_TIMESTAMP, FIELD_CURRENT_THREAD, FIELD_LOG_ENTRIES, FIELD_PAUSED, FIELD_PAUSED_BY, FIELD_PAUSED_TIMESTAMP, FIELD_PLATFORM_ID, FIELD_PRIORITY, FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID, FIELD_RUN_AS_PRINCIPAL_ID, FIELD_SCHEDULE_START_MS, FIELD_STARTED, FIELD_STARTED_TIMESTAMP, FIELD_STATE, FIELD_STOPPED, FIELD_STOPPED_TIMESTAMP, FIELD_SUBMITTED_BY, FIELD_SUBMITTED_TIMESTAMP, FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`TransferImportJob(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArchiveArtifact()`
`String`
`getArchiveGroup()`
`String`
`getArchiveVersion()`
`org.gitana.platform.services.transfer.TransferImportConfiguration`
`getConfiguration()`
`List<org.gitana.platform.services.transfer.TransferImport>`
`getImports()`
`org.gitana.platform.services.transfer.TransferDependencyChain`
`getImportSources(String sourceId)`
`org.gitana.platform.services.transfer.TransferDependencyChain`
`getImportTargets(String targetId)`
`String`
`getSingleImportTargetId()`
`List<org.gitana.platform.services.transfer.TransferDependency>`
`getTargets()`
`String`
`getVaultId()`

### Methods inherited from class org.gitana.platform.client.job.JobImpl

`equals, getAttempts, getCurrentServerId, getCurrentServerTimestamp, getCurrentThreadId, getError, getLogEntries, getPaused, getPausedBy, getPausedTime, getPausedTimestamp, getPlatformId, getPriority, getResourceUri, getRunAsPrincipalDomainId, getRunAsPrincipalId, getScheduleStart, getStarted, getStartedTime, getStartedTimestamp, getState, getStopped, getStoppedTime, getStoppedTimestamp, getSubmittedBy, getSubmittedTime, getSubmittedTimestamp, getSuccess, getType, getTypeId, setAttempts, setCurrentServerId, setCurrentServerTimestamp, setCurrentThreadId, setPlatformId, setPriority, setScheduleStart, setState, waitForCompletion`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDocumentImpl

`getCluster, getClusterId, getDriver, getFactory, getRemote, ref`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDocument

`getCluster, getClusterId`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Field Details

### FIELD_ARCHIVE_GROUP

public static final String FIELD_ARCHIVE_GROUP

See Also:
  - Constant Field Values

### FIELD_ARCHIVE_ARTIFACT

public static final String FIELD_ARCHIVE_ARTIFACT

See Also:
  - Constant Field Values

### FIELD_ARCHIVE_VERSION

public static final String FIELD_ARCHIVE_VERSION

See Also:
  - Constant Field Values

### FIELD_VAULT_ID

public static final String FIELD_VAULT_ID

See Also:
  - Constant Field Values

### FIELD_CONFIGURATION

public static final String FIELD_CONFIGURATION

See Also:
  - Constant Field Values

### FIELD_TARGETS

public static final String FIELD_TARGETS

See Also:
  - Constant Field Values

### FIELD_IMPORTS

public static final String FIELD_IMPORTS

See Also:
  - Constant Field Values

## Constructor Details

### TransferImportJob

public TransferImportJob(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getArchiveGroup

public String getArchiveGroup()

### getArchiveArtifact

public String getArchiveArtifact()

### getArchiveVersion

public String getArchiveVersion()

### getVaultId

public String getVaultId()

### getConfiguration

public org.gitana.platform.services.transfer.TransferImportConfiguration getConfiguration()

### getTargets

public List<org.gitana.platform.services.transfer.TransferDependency> getTargets()

### getImports

public List<org.gitana.platform.services.transfer.TransferImport> getImports()

### getImportSources

public org.gitana.platform.services.transfer.TransferDependencyChain getImportSources(String sourceId)

### getImportTargets

public org.gitana.platform.services.transfer.TransferDependencyChain getImportTargets(String targetId)

### getSingleImportTargetId

public String getSingleImportTargetId()